#ifndef CHECKHEADERVIEW_H
#define CHECKHEADERVIEW_H

#include <QHeaderView>
#include <QCheckBox>
#include <QPainter>

class CheckHeaderView : public QHeaderView
{
    Q_OBJECT

public:
    CheckHeaderView(int checkColumnIndex,
            Qt::Orientation orientation,
            QWidget * parent = 0);

signals:
    void checkboxStateChanged(int);
private slots:
    void stateChanged(int state);

protected:
    void paintSection(QPainter *painter, const QRect &rect, int logicalIndex) const;
private:
    QCheckBox * m_checkBox;
    int m_CheckIdex;
};

#endif // CHECKHEADERVIEW_H
